import { FileEvent } from 'vscode-languageserver';
import { WorkspaceContext, TagInfo } from '@salesforce/lightning-lsp-common';
import { Metadata } from '@lwc/babel-plugin-component';
import EventsEmitter from 'events';
export declare const eventEmitter: EventsEmitter;
export declare function resetCustomComponents(): void;
export declare function updateCustomComponentIndex(updatedFiles: FileEvent[], context: WorkspaceContext, writeConfigs?: boolean): Promise<void>;
export declare function getLwcTags(): Map<string, TagInfo>;
export declare function getLwcByTag(tag: string): TagInfo;
export declare function getlwcStandardResourcePath(): string;
export declare function loadStandardComponents(context: WorkspaceContext, writeConfigs?: boolean): Promise<void>;
export declare function indexCustomComponents(context: WorkspaceContext, writeConfigs?: boolean): Promise<void>;
export declare function addCustomTagFromResults(context: WorkspaceContext, uri: string, metadata: Metadata, sfdxProject: boolean, writeConfigs?: boolean): Promise<void>;
export declare function addCustomTagFromFile(context: WorkspaceContext, file: string, sfdxProject: boolean, writeConfigs?: boolean): Promise<void>;
//# sourceMappingURL=custom-components-util.d.ts.map